Bug 118348 - Revision 1.210 of www/apache22/Makefile breaks building of slave ports.
Summary: Revision 1.210 of www/apache22/Makefile breaks building of slave ports.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clement Laforet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-30 11:10 UTC by Andrey Beresovsky
Modified: 2007-12-11 20:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1006 bytes, patch)
2007-11-30 11:10 UTC, Andrey Beresovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Beresovsky 2007-11-30 11:10:02 UTC
In our organisation we use a modified version of apache22 port. Revision 1.160
www/apache22/Makefile introduce support for slave ports:

# for slave ports
.if !defined(MASTERDIR)
APACHEDIR=      ${.CURDIR}
.else
APACHEDIR=      ${MASTERDIR}
.endif

.include "${APACHEDIR}/Makefile.doc"
.include "${APACHEDIR}/Makefile.modules"
.include <bsd.port.pre.mk>
.include "${APACHEDIR}/Makefile.modules"

and we are using this facility. But revision 1.210 breaks building of slave ports
by including "${.CURDIR}/Makefile.options"

How-To-Repeat: Create your own slave port with the following Makefile:

MASTERDIR=      ${.CURDIR}/../../www/apache22
.include "${MASTERDIR}/Makefile"

run make

it would not find Makefile.options
Comment 1 Edwin Groothuis freebsd_committer 2007-11-30 11:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Clement Laforet freebsd_committer 2007-12-03 20:41:41 UTC
State Changed
From-To: open->analyzed

Good catch! 
Added to the patch sent to portmgr@.
Comment 3 dfilter service freebsd_committer 2007-12-11 20:22:21 UTC
clement     2007-12-11 20:22:16 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile pkg-plist 
    www/apache22/files   patch-Makefile.in 
  Log:
  - Fix slave ports [1]
  - Fix plist [2]
  - Fix CONFLICTS with devel/apr-svn [3]
  - Fix install when index.html is modified
  - Bump PORT_REVISION
  
  PR:             ports/118348 [1], ports/118338 [2],ports/117097 [2]
                  ports/90088 [3], ports/118349 [3]
  Submitted by:   Andrey Beresovsky <and at sfedu dot ru> [1],
                  Dimitry Andric <dimitry at andric dot com> [2],
                  YAMAMOTO Takao <yamamoto at computec dot co dot jp>
                  Melvyn Sopacua <melvyn atmelvyn dot homeunix dot org> [3],
                  Dominic Fandrey <lon_kamikaze at gmx dot de> [3]
  
  Revision  Changes    Path
  1.216     +10 -11    ports/www/apache22/Makefile
  1.23      +6 -5      ports/www/apache22/files/patch-Makefile.in
  1.86      +4 -3      ports/www/apache22/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Clement Laforet freebsd_committer 2007-12-11 20:23:08 UTC
State Changed
From-To: analyzed->closed

Fix committed, thanks!